use std::net::SocketAddr;

use serde::Deserialize;

#[derive(Deserialize, Debug, Clone)]
pub struct ClusteringConfig {
    pub self_id: u32,
    pub listen_on: SocketAddr,
    pub advertised_address: SocketAddr,
    pub bootstrap_via: Box<[SocketAddr]>,
}
